PAM_ROOTOK(8)

NAME
pam_rootok - RootOK PAM module

SYNOPSIS
[service-name] module-type control-flag pam_rootok [options]

DESCRIPTION
The RootOK authentication service module for PAM, pam_rootok provides functionality for only one PAM category: authentication. In terms of the module-type parameter, this is the “auth” feature. It also provides a null function for session management.

  RootOK Authentication Module
The RootOK authentication component (pam_sm_authenticate()), always returns success for the superuser; i.e., if getuid(2) returns 0.

The following options may be passed to the authentication module:

debug
    syslog(3) debugging information at LOG_DEBUG level.

no_warn
    suppress warning messages to the user. These messages include reasons why the user's authentication attempt was declined.

SEE ALSO
getuid(2), pam.conf(5), pam(8)